Skip to main content
Resource Center/Network Resource/Hardware SDN Controller Operations
GETHardware SDN Controller OperationsSince 5.3.20SynchronousAuth Required

QuerySdnController

QuerySdnController

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • successBooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • vendorTypeStringRequired

      No description provided.

    • vendorVersionStringRequired

      The vendor version.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • ipStringRequired

      来源IP地址。

    • usernameStringRequired

      用户名。

    • passwordStringRequired

      密码。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • statusSdnControllerStatusRequired

      See status.

      • ConnectingSdnControllerStatusRequired

        Connecting.

      • ConnectedSdnControllerStatusRequired

        Connected.

      • DisconnectedSdnControllerStatusRequired

        Disconnected.

    • hostRefsListRequired

      See hostRefs.

      • sdnControllerUuidStringRequired

        The SDN controller UUID.

      • hostUuidStringRequired

        The host UUID.

      • vSwitchTypeStringRequired

        The virtual switch type.

      • vtepIpStringRequired

        The VTEP IP.

      • nicPciAddressesStringRequired

        The NIC PCI address mapping.

      • nicDriversStringRequired

        The NIC driver mapping.

      • netmaskStringRequired

        The VTEP IP netmask.

      • bondModeStringRequired

        The NIC bond mode.

      • lacpModeStringRequired

        The NIC LACP mode.

Endpoint

GET/zstack/v1/sdn-controllers

/zstack/v1/sdn-controllers

Operation ID

QuerySdnController

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/sdn-controllers' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "b4134eb269a632eda5df826686733c5e", "name": "test-sdn", "description": "sdn for test", "ip": "192.168.1.1", "username": "admin", "password": "password" } ] }

Change History

This API has no change history records yet.

View all change history